curl --request GET \
--url https://api-sandbox.synctera.com/v0/edd/{edd_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/edd/{edd_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/edd/{edd_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "CASE_REQUEST",
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_resource_type": "ACCOUNT",
"creation_time": "2010-05-06T12:23:34.321Z",
"deletion_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"source_of_funds": "INVESTMENT",
"transaction_purpose": "Phone bill",
"additional_questions": [
{
"answer": "Since 2010",
"question": "Since when do you work in this position?",
"section": "reason"
}
],
"case_id": 50000000000,
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get a EDD
Get a EDD
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a edd
"faker.random.uuid"
Response
EDD
- Transaction
- Account
- Customer
- Business
Additional information submitted about the transaction.
The reason for this EDD record to be requested
CASE_REQUEST, STANDARD_SUBMISSION related resource UUID
related resource type
ACCOUNT, BUSINESS, CUSTOMER, TRANSACTION "2010-05-06T12:23:34.321Z"
"2010-05-06T12:23:34.321Z"
EDD record unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The source of funds for the transaction.
INVESTMENT, OTHER, SALARY, SALES The purpose of the transaction.
"Phone bill"
Additional questions regarding the related resource
Show child attributes
Show child attributes
The ID of the case related to this EDD record
0 <= x <= 100000000000The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Was this page helpful?

